

{function name=categoriesprint Pricing=null category=null start=0 prefix=''}
        {if empty($start)}
            <option value="0">Корень</option>
        {/if}
        {$products_categories = $Pricing->getSubCategories($start)}
        {if is_array($products_categories) && !empty($products_categories)}
            {foreach $products_categories as $k=>$v}
                {if $category  &&  $category['id']==$k}
<optgroup label="{$prefix}{$v['name']}"></optgroup>
                {$prefix_n = "`$prefix`--"}
                {categoriesprint Pricing=$Pricing category=$category start=$k prefix=$prefix_n}
                {else}
                <option value="{$k}" {if $category && $category['parent_id']==$k} selected{/if}>{$prefix}{$v['name']}</option>
                {$prefix_n = "`$prefix`--"}
                {categoriesprint Pricing=$Pricing category=$category start=$k prefix=$prefix_n}
                {/if}
            {/foreach}
{else}

        {/if}

{/function}

<h2>Редактирование категории материалов</h2>
<script type="text/javascript">
    $(document).ready(function () {
        $('.categoryProducts-save').submit(function () {
            var form = $(this);
            var success = function(response) {
                if (response.status == 'ok') {
                    var data = response.data;
                    if(data.id) {
                        window.location.href = '?module=categoryProducts&action=edit&id='+data.id;
                    }
                } else {
                    alert(response.errors.join(','));
                }
            };
            $.ajax({
                url: form.attr('action'),
                data: form.serialize(),
                type: 'post',
                dataType: 'json',
                success: success
            });
            return false;
        });

    });
</script>
<form  action="?module=categoryProducts&action=save"  class="categoryProducts-save" method="post">
    {if isset($category['id'])}
    <input type="hidden" name="id" value="{$category['id']}">
    {/if}
    <table class="light" style="width: 400px; margin-left: 30px;">
        <tr>
            <td>Тип категории:</td>
            <td>
                <select name="parent_id" id="parent_id" aria-required="true" >
                    {categoriesprint Pricing=$Pricing category=$category start=0}
                </select>
            </td>
        </tr>
        <tr>
            <td>Название категории:</td>
            <td><input  type="text" name="name" value="{if isset($category['name'])}{$category['name']}{/if}" maxlength="255"></td>
        </tr>
        <tr>
            <td>Сортировка:</td>
            <td><input  type="text" name="sort" value="{if isset($category['sort'])}{$category['sort']}{/if}" maxlength="255"></td>
        </tr>

        <tr>
            <td>
            {if isset($category['id'])}
                <a href="?module=categoryProducts&action=delete&id={$category['id']}" class="inline" >
                   Удалить категорию <i class="icon16 delete"></i>
                </a>
            {/if}
            </td>
            <td><input type="submit" value="{if isset($category['id'])}Сохранить{else}Добавить{/if}" class="button green"></td>
        </tr>

    </table></form>
